The BOOST_PP_WSTRINGIZE macro wide stringizes its argument after it has been expanded.

#### Usage

BOOST_PP_WSTRINGIZE(text)

#### Arguments

text
  The text to be converted to a wide string literal.

#### Remarks

The preprocessor stringizing operator (#) prevents arguments from expanding. This macro allows its argument to expand before it is stringized.

#### Requirements

Header: <boost/preprocessor/wstringize.hpp>

#### Sample Code

    #include <boost/preprocessor/wstringize.hpp>

    BOOST_PP_WSTRINGIZE(some text) // expands to L"some text"